#{extends 'borderNG.html' /}

<ol class="breadcrumb">
    <li><a href="@{nonlelang.PaketPlCtr.index()}">&{'paketlelang.daftar_paket'} </a>
    <li><a href="@{nonlelang.PaketPlCtr.edit(paket.pkt_id)}">&{'paketlelang.edit_paket'} </a>
    <li class="active">&{'paketlelang.pilih_ukpbj'}</li>
</ol>

<div class="content">
    <table class="table table-sm table-bordered">
        <tr>
            <th class="bg-warning" width="20%">&{'lelangpaket.kode_rup'}</th>
            <th>${paket?.kodeRup}</th>
        </tr>
        <tr>
            <th class="bg-warning">&{'tag.klpd'}<span class="warning"> *</span></th>
            <td>${paket?.namaInstansi}</td>
        </tr>
        <tr>
            <th class="bg-warning">&{'paketlelang.satuan_kerja'}<span class="warning"> *</span></th>
            <td>${paket?.namaSatker}</td>
        </tr>
        <tr>
            <th class="bg-warning" width="200">&{'paketlelang.nama_paket'}</th>
            <td>${paket.pkt_nama}</td>
        </tr>
    </table>
    <div class="card card-default">
        <div class="panel-heading">&{'paketlelang.pilih_ukpbj'}</div>
        <table class="table table-sm" id="tblUkpbj">
            <thead>
            <tr>
                <th>&{'paketlelang.nama'}</th>
                <th>&{'paketlelang.alamat'}</th>
                <th>&{'paketlelang.kepala_unit_pbj'}</th>
                <th width="10">&{'paketlelang.pilih'}</th>
            </tr>
            </thead>
        </table>
    </div>
    #{backButton action:backUrl /}
</div>

#{form @lelang.PaketCtr.submit_ukpbj(paket.pkt_id), id:'formUkpbj'}
<input type="hidden" name="ukpbj_id" id="ukpbjId" />
#{/form}

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
var table = $("#tblUkpbj").DataTable({
        language: {
                "sLengthMenu":   "&{'menu.slengthmenu'} _MENU_ data",
                processing:   "&{'menu.processing'}",
                "sSearch":       "&{'menu.ssearch'}",
                "sInfo":         "&{'menu.sinfo1'} _START_ &{'menu.sinfo2'} _END_ &{'menu.sinfo3'} _TOTAL_ data",
                "sInfoEmpty":    "&{'menu.sinfo1'} 0 &{'menu.sinfo2'} 0 &{'menu.sinfo3'} 0 data"
        },
        ajax: "@{DataTableCtr.pilihUkpbj()}",
        columns: [null, null, null, {render: function (data, type, row){
        	return '<div class="text-center"><a href="javascript:void(0)" class="badge  badge-secondary pilih" value="'+row[5]+'">Pilih</a></div>';
        }, orderable: false, searchable: false}]
    });
    $('#tblUkpbj_filter input').unbind();
    $('#tblUkpbj_filter input').bind('keyup', function(e) {
        if(e.keyCode == 13) {
          table.search(this.value).draw();
         }
    });
$(document).on("click", ".pilih", function(){
	$('#ukpbjId').attr('value',$(this).attr('value'))
	$('#formUkpbj').submit();
})
</script>
#{/set}